package com.sample;

import java.util.HashMap;
import java.util.Map;

import org.drools.runtime.StatefulKnowledgeSession;
import org.drools.runtime.process.ProcessInstance;

public class InclusiveGatewayTest extends JbpmJUnitTestCase {

	public InclusiveGatewayTest() {
		super(false);
	}

	public void testInclusiveGateway() {
		StatefulKnowledgeSession ksession = createKnowledgeSession("gateway/inclusiveGateway.bpmn2");

		Map<String, Object> params = new HashMap<String, Object>();
		params.put("script1Property", true);
		params.put("script2Property", false);
		params.put("script3Property", true);
		ProcessInstance instance = ksession.startProcess("inclusiveGateway",
				params);
		assertProcessInstanceCompleted(instance.getId(), ksession);
		assertNodeTriggered(instance.getId(), "Start", "gateDiverging",
				"Script Task1", "Script Task3",
				"gateConverging", "End Script", "End");
	}
}
